<?php
/**
 * Plugin Name: Advanced Dynamic Pricing for WooCommerce - Custom Condition
 * Plugin URI:
 * Description: Checks total area for cart items, "area" is a product custom field
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

include __DIR__ . "/class-wdp-custom_condition_area_size.php";

add_filter( 'adp_load_rule_conditions', function ( $conditions, $loader ) {
	/**
	 * @var $conditions \ADP\BaseVersion\Includes\Rule\Interfaces\RuleCondition[]
	 * @var $loader \ADP\BaseVersion\Includes\Rule\ConditionsLoader
	 */

	$conditions[ WDP_Custom_Condition_Area_Size::getType() ] = new WDP_Custom_Condition_Area_Size();

	return $conditions;
}, 10, 2 );
